Package org.eclipse.core.runtime

## Interface IPluginRegistry

    @Deprecated
    public interface IPluginRegistry

Deprecated.
As the org.eclipse.core.runtime.compatibility plug-in has been removed in Eclipse 4.6 this interface is not supported anymore.

Restriction:
  This interface is not intended to be implemented by clients. This interface is planned to be deleted, see https://bugs.eclipse.org/bugs/show_bug.cgi?id=544339
Restriction:
  This interface is not intended to be extended by clients.
Restriction:
  This interface is not intended to be referenced by clients.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`IConfigurationElement[]` `getConfigurationElementsFor​(String extensionPointId)` Deprecated. Replaced by `IExtensionRegistry.getConfigurationElementsFor(String)` .
`IConfigurationElement[]` `getConfigurationElementsFor​(String pluginId, String extensionPointName)` Deprecated. Replaced by `IExtensionRegistry.getConfigurationElementsFor(String, String)`.
`IConfigurationElement[]` `getConfigurationElementsFor​(String pluginId, String extensionPointName, String extensionId)` Deprecated. Replaced by `IExtensionRegistry.getConfigurationElementsFor(String, String, String)`.
`IExtension` `getExtension​(String extensionPointId, String extensionId)` Deprecated. Replaced by `IExtensionRegistry.getExtension(String, String)`.
`IExtension` `getExtension​(String pluginId, String extensionPointName, String extensionId)` Deprecated. Replaced by `IExtensionRegistry.getExtension(String, String, String)`.
`IExtensionPoint` `getExtensionPoint​(String extensionPointId)` Deprecated. Replaced by `IExtensionRegistry.getExtensionPoint(String)`.
`IExtensionPoint` `getExtensionPoint​(String pluginId, String extensionPointName)` Deprecated. Replaced by `IExtensionRegistry.getExtensionPoint(String, String)`.
`IExtensionPoint[]` `getExtensionPoints()` Deprecated. Replaced by `IExtensionRegistry.getExtensionPoints()`.
`IPluginDescriptor` `getPluginDescriptor​(String pluginId)` Deprecated. `IPluginDescriptor` was refactored in Eclipse 3.0.
`IPluginDescriptor` `getPluginDescriptor​(String pluginId, PluginVersionIdentifier version)` Deprecated.
`IPluginDescriptor[]` `getPluginDescriptors()` Deprecated.
`IPluginDescriptor[]` `getPluginDescriptors​(String pluginId)` Deprecated.

### Method Detail

#### getConfigurationElementsFor

    @Deprecated
    IConfigurationElement[] getConfigurationElementsFor​(String extensionPointId)

Deprecated.
Replaced by `IExtensionRegistry.getConfigurationElementsFor(String)` .
As the org.eclipse.core.runtime.compatibility plug-in has been removed in Eclipse 4.6 this method is not supported anymore.

#### getConfigurationElementsFor

    @Deprecated
    IConfigurationElement[] getConfigurationElementsFor​(String pluginId,
                                                        String extensionPointName)

Deprecated.
Replaced by `IExtensionRegistry.getConfigurationElementsFor(String, String)`.
As the org.eclipse.core.runtime.compatibility plug-in has been removed in Eclipse 4.6 this method is not supported anymore.

#### getConfigurationElementsFor

    @Deprecated
    IConfigurationElement[] getConfigurationElementsFor​(String pluginId,
                                                        String extensionPointName,
                                                        String extensionId)

Deprecated.
Replaced by `IExtensionRegistry.getConfigurationElementsFor(String, String, String)`.
As the org.eclipse.core.runtime.compatibility plug-in has been removed in Eclipse 4.6 this method is not supported anymore.

#### getExtension

    @Deprecated
    IExtension getExtension​(String extensionPointId,
                            String extensionId)

Deprecated.
Replaced by `IExtensionRegistry.getExtension(String, String)`.
As the org.eclipse.core.runtime.compatibility plug-in has been removed in Eclipse 4.6 this method is not supported anymore.

#### getExtension

    @Deprecated
    IExtension getExtension​(String pluginId,
                            String extensionPointName,
                            String extensionId)

Deprecated.
Replaced by `IExtensionRegistry.getExtension(String, String, String)`.
As the org.eclipse.core.runtime.compatibility plug-in has been removed in Eclipse 4.6 this method is not supported anymore.

#### getExtensionPoint

    @Deprecated
    IExtensionPoint getExtensionPoint​(String extensionPointId)

Deprecated.
Replaced by `IExtensionRegistry.getExtensionPoint(String)`.
As the org.eclipse.core.runtime.compatibility plug-in has been removed in Eclipse 4.6 this method is not supported anymore.

#### getExtensionPoint

    @Deprecated
    IExtensionPoint getExtensionPoint​(String pluginId,
                                      String extensionPointName)

Deprecated.
Replaced by `IExtensionRegistry.getExtensionPoint(String, String)`.
As the org.eclipse.core.runtime.compatibility plug-in has been removed in Eclipse 4.6 this method is not supported anymore.

#### getExtensionPoints

    @Deprecated
    IExtensionPoint[] getExtensionPoints()

Deprecated.
Replaced by `IExtensionRegistry.getExtensionPoints()`.
As the org.eclipse.core.runtime.compatibility plug-in has been removed in Eclipse 4.6 this method is not supported anymore.

#### getPluginDescriptor

    @Deprecated
    IPluginDescriptor getPluginDescriptor​(String pluginId)

Deprecated.
`IPluginDescriptor` was refactored in Eclipse 3.0. The `getPluginDescriptor()` method may only be called by plug-ins which explicitly require the org.eclipse.core.runtime.compatibility plug-in. See the comments on `IPluginDescriptor` and its methods for details.
Returns the plug-in descriptor with the given plug-in identifier in this plug-in registry, or `null` if there is no such plug-in. If there are multiple versions of the identified plug-in, one will be non-deterministically chosen and returned.

Parameters:
  `pluginId` - the unique identifier of the plug-in (e.g. `"com.example.acme"`).
Returns:
  the plug-in descriptor, or `null`

#### getPluginDescriptor

    @Deprecated
    IPluginDescriptor getPluginDescriptor​(String pluginId,
                                          PluginVersionIdentifier version)

Deprecated.
As the org.eclipse.core.runtime.compatibility plug-in has been removed in Eclipse 4.6 this method is not supported anymore.

#### getPluginDescriptors

    @Deprecated
    IPluginDescriptor[] getPluginDescriptors()

Deprecated.
As the org.eclipse.core.runtime.compatibility plug-in has been removed in Eclipse 4.6 this method is not supported anymore.

#### getPluginDescriptors

    @Deprecated
    IPluginDescriptor[] getPluginDescriptors​(String pluginId)

Deprecated.
As the org.eclipse.core.runtime.compatibility plug-in has been removed in Eclipse 4.6 this method is not supported anymore.